-- name: migration-0001-create-filament-color#
CREATE TABLE IF NOT EXISTS filament_color (
   id INTEGER PRIMARY KEY AUTOINCREMENT
 , code TEXT
 , name TEXT DEFAULT NULL
 , UNIQUE(code)
);

INSERT OR IGNORE INTO filament_color (id, code, name) VALUES (1, '#DDDDDD', 'Any');
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#000000', 'Black');
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#FFFFFF', 'White');

-- name: migration-0002-create-orange-color#
INSERT OR IGNORE INTO filament_color (code, name) VALUES ('#FF6925', 'Orange');

-- name: create-color^
INSERT OR IGNORE INTO filament_color (
   code
)
VALUES (
   :code
)
RETURNING
   id
;

-- name: fetch-color^
SELECT *
FROM filament_color
WHERE
  code = :code
;

-- name: set-color-name!
UPDATE filament_color
SET
  name = :name
WHERE
  id = :cid
;

-- name: list-color
SELECT *
FROM filament_color
;
